unit cpmain32;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls;

type
  TfrmCustomPreviewSample = class(TForm)
    Memo1: TMemo;
    btnPreview: TButton;
    RadioGroupPreview: TRadioGroup;
    cbDisablePrint: TCheckBox;
    procedure btnPreviewClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmCustomPreviewSample: TfrmCustomPreviewSample;

implementation

uses srpt32;

{$R *.DFM}

procedure TfrmCustomPreviewSample.btnPreviewClick(Sender: TObject);
begin
  with TfrmSampleReport.Create(Application) do
  begin
    with QuickRep1 do
    begin
      {
        We select which custom preview to use depending on which
        radio item was selected.
      }
      case RadioGroupPreview.ItemIndex of
        1: OnPreview := QuickRep1Preview;
        2: OnPreview := NetScapePreview;
      else
        OnPreview := nil;
      end;
      
      { We added the functionality to disable some features at runtime }
      bCanPrint := not cbDisablePrint.Checked;

      Preview;
    end;
    Free;
  end;
end;

end.
